Subject: Re: [bug#37239] [PATCH] gnu: mariadb: Split into out, lib and dev.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 04 Sep 2019 14:21:06 +0200

Hi!

Julien Lepiller <[email-masked]> skribis:

> This patch splits mariadb into three parts: out (150 MB), lib (38 MB)
> and dev (5 MB). This means that dependents now have a lighter closure.
>
> For instance, python-mysqlclient lost its references to gcc, perl,
> jemalloc and one zlib reference. It went from 537.2 MiB to only 230.4
> MiB. qtbase went from ~1.3 GB to ~1.0 GB.

Nice.

> I've rebuilt most of these direct dependents without issues, so I don't
> expect any issue with this patch. However, since qtbase is in the
> dependency graph, there are ~500 packages that need to be rebuilt, so
> this patch qualifies for staging.

Agreed.

>>>From 6e8caab7729e3e0fc207d7f713237895e855a638 Mon Sep 17 00:00:00 2001
> From: Julien Lepiller <[email-masked]>
> Date: Fri, 30 Aug 2019 22:52:06 +0200
> Subject: [PATCH] gnu: mariadb: Split into out, lib and dev.
>
> * gnu/packages/databases.scm (mariadb): Split into out, lib and dev.
> (perl-dbd-mysql, python-mysqlclient): Adjust dependencies.
> * gnu/packages/bioinformatics.scm (kentutils): Adjust dependencies.
> * gnu/packages/cran.scm (r-rmysql): Adjust dependencies.
> * gnu/packages/emacs-xyz.scm (emacs-emacsql): Adjust dependencies.
> * gnu/packages/kodi.scm (kodi): Adjust dependencies.
> * gnu/packages/qt.scm (qt, qtbase): Adjust dependencies.
> * gnu/packages/ruby.scm (ruby-mysql2): Adjust dependencies.

LGTM, thanks for tackling this issue!

Ludo’.